Page MenuHomePhabricator

Confirmation box before removing a publisher
Closed, ResolvedPublic

Description

Newsletter extension helps users to - create newsletters, create issues for those newsletters, make other users publishers of the newsletters and many other related activities. One of the special pages which delivers these functionalities is Special:ManageNewsletter wherein you can remove a publisher of a newsletter. On clicking the 'Remove' button you remove a publisher of the newsletter if you have the right for it. This task requires you to add a confirmation box when the remove button is clicked asking the user who is removing the publisher whether he/she is certain of the removal (just like the dialogue boxes you get when you close the browser when mulitple tabs are open).

Steps

  1. Install Mediawiki (https://www.mediawiki.org/wiki/Manual:Installation_guide#Main_installation_guide)
  2. Install Newsletter extension (https://www.mediawiki.org/wiki/Extension:Newsletter)
  3. Navigate to Special:ManageNewsletter, add few publishers(can be dummy users you created)
  4. Click the remove button in the table and see how a publisher is removed right away without giving a second chance to the user to rethink the decision.
  5. Hint: https://www.mediawiki.org/wiki/OOjs_UI/Windows/Message_Dialogs

Event Timeline

Tinaj1234 claimed this task.
Tinaj1234 raised the priority of this task from to Low.
Tinaj1234 updated the task description. (Show Details)
Tinaj1234 added subscribers: Tinaj1234, Qgil, 01tonythomas.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 12:45 PM
Tinaj1234 removed Tinaj1234 as the assignee of this task.Nov 2 2015, 9:33 AM
Tinaj1234 updated the task description. (Show Details)
Tinaj1234 added a project: Google-Code-In-2015.
Tinaj1234 set Security to None.
Haritha28 claimed this task.Nov 6 2015, 3:51 AM
Haritha28 added a subscriber: Haritha28.

@Haritha28, this task is kept aside for students who will be participating in Google Code In this December.

Haritha28 added a comment.EditedNov 6 2015, 1:05 PM

@Tinaj1234 ,I just find it from the easy tasks didn't check it .I have unclaimed the task. Sorry

Haritha28 removed Haritha28 as the assignee of this task.Nov 6 2015, 1:06 PM

I will mentor this in #GCI2015

Tinaj1234 updated the task description. (Show Details)Nov 17 2015, 11:38 AM
Tinaj1234 updated the task description. (Show Details)Nov 17 2015, 11:51 AM

I will mentor this in #GCI2015

Tinaj1234 will mentor this - mentors must be part of the community already. Thanks.

Tinaj1234 updated the task description. (Show Details)Dec 7 2015, 7:08 PM
Mhutti1 claimed this task.Dec 7 2015, 11:26 PM
Mhutti1 added a subscriber: Mhutti1.

I have submitted for code review. https://gerrit.wikimedia.org/r/#/c/257494/

I have submitted for code review. https://gerrit.wikimedia.org/r/#/c/257494/

Thank you! Check my comments on the patch.

I have done and have applied the changes.

Change 257494 had a related patch set uploaded (by Addshore):
Adds Confirmation box to publisher removal

https://gerrit.wikimedia.org/r/257494

Change 257494 merged by jenkins-bot:
Adds Confirmation box to publisher removal

https://gerrit.wikimedia.org/r/257494

Tinaj1234 closed this task as Resolved.Dec 8 2015, 5:14 PM

@Mhutti1, Thank you!